--- /dev/null
+#! /bin/bash
+### BEGIN INIT INFO
+# Provides: sipb-xen-remctl-auto
+# Required-Start: $local_fs $remote_fs
+# Required-Stop: $local_fs $remote_fs
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: conserver config from invirt config for invirt host
+# Description:
+### END INIT INFO
+
+# Author: Invirt/XVM Project, MIT SIPB <invirt@mit.edu>
+
+# Do NOT "set -e"
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="Invirt host console config"
+NAME=sipb-xen-remctl-auto
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+gen_config()
+{
+ echo "host/$(invirt-getconf remote.hostname)@$(invirt-getconf authn.0.realm)" \
+ > /etc/remctl/acl/remote
+}
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+ # Return
+ # 0 if daemon has been started
+ # 1 if daemon was already running
+ # 2 if daemon could not be started
+ gen_config
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+ return 0
+}
+
+do_reload()
+{
+ gen_config
+}
+
+case "$1" in
+ start)
+ [ "$VERBOSE" != no ] && log_begin_msg "Starting $DESC" "$NAME"
+ do_start
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ stop)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ reload|force-reload)
+ log_daemon_msg "Reloading $DESC" "$NAME"
+ do_reload
+ log_end_msg $?
+ ;;
+ restart)
+ log_daemon_msg "Restarting $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1)
+ do_start
+ case "$?" in
+ 0) log_end_msg 0 ;;
+ 1) log_end_msg 1 ;; # Old process is still running
+ *) log_end_msg 1 ;; # Failed to start
+ esac
+ ;;
+ *)
+ # Failed to stop
+ log_end_msg 1
+ ;;
+ esac
+ ;;
+ *)
+ echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+ exit 3
+ ;;
+esac
+
+:
import sys
import os.path
from subprocess import call, PIPE, Popen
+from invirt.config import structs as config
def check(b):
if not b:
if subcommand == "lvcreate-all":
from sipb_xen_database import *
import re
- connect('postgres://sipb-xen@sipb-xen-dev.mit.edu/sipb_xen')
+ connect(config.db.uri)
for d in Disk.select():
check(re.match('^[A-Za-z0-9]+$', d.guest_device_name))
machine = Machine.get(d.machine_id)